#
# spec file for package strn (Version 092q3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  less vim yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim yacc

Name:         strn
Copyright:    distributable
Group:        Applications/News
Provides:     strn 
Autoreqprov:  on
Version:      092q3
Release:      430
Summary:      A News Reader
Source: strn.tar.bz2
Patch: strn.dif
BuildRoot:    /var/tmp/%{name}-build

%description
This version of strn is based on trn and allows scoring of a
news article  based on author and subject.

SuSE series: n

%prep
%setup -n strn
%patch
cd src
sh RunConfig %{_arch}

%build
cd src
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/{lib/inews,lib/trn,bin} \
         $RPM_BUILD_ROOT/%{_mandir}/man1
cd src
make rnbin=$RPM_BUILD_ROOT/usr/bin \
     rnlib=$RPM_BUILD_ROOT/usr/lib/trn \
     mansrc=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     install.full install.help

%clean
rm -rf "$RPM_BUILD_ROOT"
 

%files
/usr/bin/strn
%dir /usr/lib/trn
/usr/lib/trn/help
%config /usr/lib/trn/default_topic
%config /usr/lib/trn/hier_groups
%config /usr/lib/trn/newsnews.strn
%doc %{_mandir}/man1/strn.*

%changelog -n strn
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Mon Dec 04 2000 - schwab@suse.de
- Update configuration for new ABI on ia64.
* Mon Oct 16 2000 - nadvornik@suse.cz
- fixed to compile with ncurses-5.1
* Mon Aug 14 2000 - schwab@suse.de
- Fixed to compile on ia64.
* Thu May 18 2000 - nadvornik@suse.cz
- changed Group tag
* Thu Mar 30 2000 - nadvornik@suse.cz
- added BuildRoot
* Wed Mar 01 2000 - fehr@suse.de
- move manpages to /usr/share/man
* Mon Feb 07 2000 - fehr@suse.de
- change spec file to also build on sparc
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - uli@suse.de
- fixed spec for PPC
* Tue Jun 15 1999 - ro@suse.de
- fixed configure-wrapper to build on x86 and alpha
* Fri Nov 20 1998 - ro@suse.de
- fixed configure-wrapper for glibc
* Tue Nov 04 1997 - ro@suse.de
- ready to autobuild using configure-wrapper
* Thu Jan 02 1997 - florian@suse.de
- Aenderung vom Configure-Script, so dass man auch mit einem
  aktuellen Elf-System kompilieren kann.
- Verwendet jetzt auch die aktuelle ncurses shared libs.
